import { Dict_Apis } from "@/dict";
import { initAuth } from "@queenjs-modules/auth";

export function initAuthDef() {
  const auth = initAuth({
    config: {
      httpConfig: {
        baseURL: Dict_Apis.auth,
      },
      key: "queenshow",
      loginPath: "/login",
      loginJumpPath: "/",
      logoutJumpPath: "/login",

      needCompanyLogin: false,
      needRegister: true,
      needResetPwd: true,
      regInfo: {
        key: "queenshow"
      }
    },
  });
  auth.actions.initUser();
}
